var showInternational = function() {};
require(['dojo/ready'], function(ready) {
  ready(function() {
    require(["dojo/query", "dojo/aspect", "dojo/_base/array", "dojo/NodeList-dom"], function(query, aspect, arrayUtils) {
      showInternational = function(group,show) {
        query("."+group+".international").style("display", (show ? "" : "none"));
        query("."+group+".domestic").style("display", (show ? "none" : ""));
      };
    
      // Find selected radio button elements which have "showInternational" as part of OnClick and run it
      var triggerInternational = function() {
        query('input[type="radio"]:checked').forEach(function(node) {
          if (typeof node.onclick == "function") {
            var onClick = node.onclick.toString().split(";");
            arrayUtils.forEach(onClick, function(func) {
              if (func.indexOf("showInternational") >= 0) {
                eval(func);
              }
            });
          }
        });
      }

      aspect.after(this,"Upd",function() {
        triggerInternational();
      },true);
      aspect.after(this,"LoadFrame",function() {
        triggerInternational();
      },true);
      triggerInternational(); // in case LoadFrame runs before the above
    })
  })
});